core/almacen/urls.py
from django.urls import path
from django.contrib.auth.decorators import login_required
from . import views
app_name = 'almacen'

urlpatterns = [
    path('inicio/', views.DashboardView.as_view(), name='inicio'),
    path('productos/', views.ProductoListView.as_view(), name='producto_list'),
    path('productos/<str:pk>', views.ProductoDetailView.as_view(), name='producto_detail'),
    path('productos/create/', views.ProductoCreate.as_view(), name='producto_create'),
    path('productos/<str:pk>/update/', views.ProductoUpdate.as_view(), name='producto_update'),
    path('productos/<str:pk>/delete/', views.ProductoDelete.as_view(), name='producto_delete'),
    path('familia/', views.FamiliaListView.as_view(), name='familia_list'),
    path('familia/<str:pk>', views.FamiliaDetailView.as_view(), name='familia-detail'),
    path('familia/create/', views.FamiliaCreate.as_view(), name='familia_create'),
    path('familia/<str:pk>/update/', views.FamiliaUpdate.as_view(), name='familia_update'),
    path('familia/<str:pk>/delete/', views.FamiliaDelete.as_view(), name='familia_delete'),
    path('tipoventa/', views.TipoVListView.as_view(), name='tipov_list'),
    path('tipoventa/create/', views.TipoVCreate.as_view(), name='tipov_create'),
    path('tipoproducto/', views.TipoListView.as_view(), name='tipo_list'),
    path('tipoproducto/<str:pk>', views.TipoDetailView.as_view(), name='tipo_detail'),
    path('tipoproducto/create/', views.TipoCreate.as_view(), name='tipo_create'),
    path('tipoproducto/<str:pk>/update/', views.TipoUpdate.as_view(), name='tipo_update'),
    path('tipoproducto/<str:pk>/delete/', views.TipoDelete.as_view(), name='tipo_delete'),
    path('clientes/', views.ClienteListView.as_view(), name='cliente_list'),
    path('clientes/<str:pk>', views.ClienteDetailView.as_view(), name='cliente_detail'),
    path('clientes/create/', views.ClienteCreate.as_view(), name='cliente_create'),
    path('clientes/<str:pk>/update/', views.ClienteUpdate.as_view(), name='cliente_update'),
    path('clientes/<str:pk>/delete/', views.ClienteDelete.as_view(), name='cliente_delete'),
    path('credito/', views.CreditoListView.as_view(), name='credito'),
    path('proveedor/', views.ProveedorListView.as_view(), name='proveedor_list'),
    path('proveedor/<str:pk>', views.ProveedorDetailView.as_view(), name='proveedor_detail'),
    path('proveedor/create/', views.ProveedorCreate.as_view(), name='proveedor_create'),
    path('proveedor/<str:pk>/update/', views.ProveedorUpdate.as_view(), name='proveedor_update'),
    path('proveedor/<str:pk>/delete/', views.ProveedorDelete.as_view(), name='proveedor_delete'),
    path('compras/', views.OrdenListView.as_view(), name='compra_list'),
    path('compras/create/', views.OrdenCreate.as_view(), name='compra_create'),
    path('compras/update/<int:pk>/', views.OrdenUpdate.as_view(), name='orden_update'),
    path('compras/delete/<int:pk>/', views.OrdenDelete.as_view(), name='orden_delete'),
    path('recepcion/', views.RecepcionView.as_view(), name='recepcion'),
    # test
    path('test/', views.TestView.as_view(), name='test'),
    path('ventas/', views.VentaListView.as_view(), name='venta_list'),
    path('venta/create/', views.VentaCreate.as_view(), name='venta_create'),
    #path('productos/barcode/pdf/', views.BarCode.as_view(), name='barcode_pdf'),
    path('venta/invoice/pdf/<int:pk>/', views.VentaInvoicePdfView.as_view(), name='venta_invoice_pdf'),
    path('productos/reporte/pdf/', login_required(views.generar_reporte_productos), name='producto_reporte_pdf'),
    path('reporte/venta/', views.ReportVentaView.as_view(),name='venta_reporte'),
    path('reporte/compra/', views.ReportCompraView.as_view(),name='compra_reporte'),
]

core/user/urls.py
from django.urls import path
from . import views
app_name = 'user'

urlpatterns = [
    path('user/create', views.Create.as_view(), name='usuarios'),
]

yuyitos/urls.py
from django.contrib import admin
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic import RedirectView
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.contrib.auth import views
from core.almacen.views import IndexView
urlpatterns = [ 
    path('', IndexView.as_view(), name='index'),
    path('almacen/', include('core.almacen.urls')),
    path('admin/', admin.site.urls),  
    path('', include('core.user.urls')),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += [
    path('accounts/', include('django.contrib.auth.urls')),
]

templates/views/default/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>{% block title %}{% endblock title %}</title>
        <link rel="icon" href="{% static 'dist/img/smartsoft1.ico' %}">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet"  href="{% static 'plugins/fontawesome-free/css/all.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet"  href="{% static 'dist/css/adminlte.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet"  href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <!-- Tempusdominus Bbootstrap 4 -->
        <link rel="stylesheet"  href="{% static 'plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css' %}">
        <!-- overlayScrollbars -->
        <link rel="stylesheet" href="{% static 'plugins/overlayScrollbars/css/OverlayScrollbars.min.css' %}">
        <!-- Google Font: Source Sans Pro -->
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <!-- Toastr -->
        <link rel="stylesheet" href="{% static 'plugins/toastr/toastr.min.css' %}">
        <!-- DataTables -->
        <link rel="stylesheet" href="{% static 'plugins/datatables-bs4/css/dataTables.bootstrap4.min.css' %}">
        <link rel="stylesheet" href="{% static 'plugins/datatables-responsive/css/responsive.bootstrap4.min.css' %}">
        <link rel="stylesheet" href="{% static 'plugins/datatables/buttons.bootstrap.min.css' %}"/>
        <!-- Jquery ui -->
        <link rel="stylesheet"  href="{% static 'plugins/jquery-ui/jquery-ui.min.css' %}">
        <!-- Select2 -->
        <link rel="stylesheet" type="text/css" href="{% static 'plugins/select2/css/select2.min.css' %}">
        <link rel="stylesheet" type="text/css" href="{% static 'plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css' %}">
        <!-- touchspin -->
        <link rel="stylesheet"  href="{% static 'plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.css' %}">
        <!-- daterange picker -->
        <link rel="stylesheet" href="{% static 'plugins/daterangepicker/daterangepicker.css' %}">
        <!-- Jquery Confirm -->
        <link rel="stylesheet" href="{% static 'plugins/jquery-confirm/jquery-confirm.min.css' %}">
         {% block css %}
        {% endblock css %}
    </head>   
    <body class="hold-transition sidebar-mini sidebar-collapse">
        
        {% block content %}
        {% endblock content %}
        <!-- jQuery -->
        <script src="{% static 'plugins/jquery/jquery.min.js' %}"></script>
        <!-- jQuery UI 1.11.4 -->
        <script src="{% static 'plugins/jquery-ui/jquery-ui.min.js' %}"></script>
        <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
        <script>
        $.widget.bridge('uibutton', $.ui.button)
        </script>    
        <script src="{% static 'plugins/moment/moment-with-locales.js' %}"></script>
        <!-- touchspin -->
        <script src="{% static 'plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.js' %}"></script>
        <!-- Bootstrap 4 -->
        <script src="{% static 'plugins/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

        <!-- jQuery Knob Chart -->
        <script src="{% static 'plugins/jquery-knob/jquery.knob.min.js' %}"></script>
        <!-- Tempusdominus Bootstrap 4 -->
        <script src="{% static 'plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js' %}"></script>
        <!-- overlayScrollbars -->
        <script src="{% static 'plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js' %}"></script>
        <!-- AdminLTE App -->
        <script src="{% static 'dist/js/adminlte.js' %}"></script>
        <!-- AdminLTE for demo purposes -->
        <script src="{% static 'dist/js/demo.js' %}"></script>
        <!-- DataTables -->
        <script src="{% static 'plugins/datatables/jquery.dataTables.js' %}"></script>
        <script src="{% static 'plugins/datatables-bs4/js/dataTables.bootstrap4.min.js' %}"></script>
        <script src="{% static 'plugins/datatables-responsive/js/dataTables.responsive.min.js' %}"></script>
        <script src="{% static 'plugins/datatables-responsive/js/responsive.bootstrap4.min.js' %}"></script>

        <script src="{% static 'plugins/datatables/dataTables.buttons.min.js' %}" type="text/javascript"></script>
        <script src="{% static 'plugins/datatables/ajax/jszip.min.js' %}" type="text/javascript"></script>
        <script src="{% static 'plugins/datatables/ajax/pdfmake.min.js' %}" type="text/javascript"></script>
        <script src="{% static 'plugins/datatables/ajax/vfs_fonts.js' %}" type="text/javascript"></script>
        <script src="{% static 'plugins/datatables/buttons.html5.min.js' %}" type="text/javascript"></script>

        <!-- Jquery Confirm -->
        <script src="{% static 'plugins/jquery-confirm/jquery-confirm.min.js' %}"></script>
        <!-- Toastr -->
        <script src="{% static 'plugins/toastr/toastr.min.js' %}"></script>

        <!-- SweetAlert -->
        <script src="{% static 'plugins/sweetalert2/sweetalert2.all.min.js' %}"></script>
        <!-- Select2 -->
        <script src="{% static 'plugins/select2/js/select2.min.js' %}"></script>
        <script src="{% static 'plugins/select2/js/i18n/es.js' %}"></script>
        <!-- date-range-picker -->
        <script src="{% static 'plugins/daterangepicker/daterangepicker.js' %}"></script>
        <script src="{% static 'plugins/daterangepicker/spanish.js' %}"></script>
        <!-- SlimScroll -->
        <script src="{% static 'plugins/slimScroll/jquery.slimscroll.min.js' %}"></script>
        <!-- FastClick -->
        <script src="{% static 'plugins/fastclick/fastclick.min.js' %}"></script>
        <!-- AdminLTE App -->
        <script src="{% static 'dist/js/app.min.js' %}"></script>
        <script src="{% static 'dist/js/functions.js' %}"></script>

        {% block js %}

        {% endblock js %}
          <!-- Script para cambiar idioma de dataTables -->

    </body>
</html>

templates/views/default/footer.html
<footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      <strong>Versión</strong> 1.0.1
    </div>
    <!-- Default to the left -->
    <strong>Copyright &copy; 2020 <a href="#">SmartSoft</a>.</strong> Todos los derechos reservados.
  </footer>

templates/views/default/form.html
<script>
    {% if form.errors %}
        var errors = '';
        {% for field in form %}
            {% for error in field.errors %}
                errors += '{{ error }}\n';
            {% endfor %}
        {% endfor %}
        {% for error in form.non_field_errors %}
            errors += '{{ error }}\n';
        {% endfor %}
        Swal.fire({
            icon: 'error',
            title: 'Error!',
            text: errors,
            })
    {% endif %}

    $('form').on('submit', function (e) {
        e.preventDefault();
        var parameters = new FormData(this);
        submit_with_ajax(window.location.pathname, 'Notificación', '¿Estas seguro de realizar la siguiente acción?', parameters, function () {
            location.href = '{{ list_url }}';
        });
        
    });
</script>

templates/views/default/home.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>{{ title }}</title>
        <link rel="icon" href="{% static 'dist/img/smartsoft1.ico' %}">
        <!-- Font Awesome Icons -->
        <link rel="stylesheet"  href="{% static 'plugins/fontawesome-free/css/all.min.css' %}">
        <!-- Theme style -->
        <link rel="stylesheet"  href="{% static 'dist/css/adminlte.min.css' %}">
        <!-- Ionicons -->
        <link rel="stylesheet"  href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
        <!-- Tempusdominus Bbootstrap 4 -->
        <link rel="stylesheet"  href="{% static 'plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css' %}">
        <!-- overlayScrollbars -->
        <link rel="stylesheet" href="{% static 'plugins/overlayScrollbars/css/OverlayScrollbars.min.css' %}">
        <!-- Google Font: Source Sans Pro -->
        <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
        <!-- Toastr -->
        <link rel="stylesheet" href="{% static 'plugins/toastr/toastr.min.css' %}">
        <!-- DataTables -->
        <link rel="stylesheet" href="{% static 'plugins/datatables-bs4/css/dataTables.bootstrap4.min.css' %}">
        <link rel="stylesheet" href="{% static 'plugins/datatables-responsive/css/responsive.bootstrap4.min.css' %}">
        <!-- SweetAlert -->
        <link rel="stylesheet" href="{% static 'plugins/sweetalert2/sweetalert2.min.css' %}">
         <!-- Select2 -->
         <link rel="stylesheet" type="text/css" href="{% static 'plugins/select2/css/select2.min.css' %}">
         <link rel="stylesheet" type="text/css" href="{% static 'plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css' %}">
         {% block head %}

         {% endblock %}
     </head>
     {% block body %}
     
     {% endblock %}
</html>

templates/views/default/menu.html
{% load navmenu %}
{% load static %}
<aside class="main-sidebar sidebar-light-primary elevation-4">
    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user panel (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="{% static 'dist/img/logo.jpg' %}" class="img-circle elevation-2" alt="Logo Imagen">
            </div>
            <div class="info">
                <a href="#" class="d-block">Almacén los YUYITOS</a>
            </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
                with font-awesome or any other icon font library -->
            <li class="nav-item has-treeview">
                <a href="{% url 'almacen:inicio' %}" class="{% active 'almacen:inicio' %} nav-link">
                    <i class="nav-icon fas fa-home"></i>
                    <p>
                        Inicio
                    </p>
                </a>
            </li>  
            {% if user.is_staff or request.user.user_profile == 'operador' %}     
            <li class="nav-item has-treeview {% if  request.get_full_path == '/almacen/productos/' or request.get_full_path == '/almacen/familia/' or request.get_full_path == '/almacen/tipoproducto/' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if  request.get_full_path == '/almacen/productos/' or request.get_full_path == '/almacen/familia/' or request.get_full_path == '/almacen/tipoproducto/' %}active{% endif %}">
                    <i class="nav-icon fas fa-barcode"></i>
                    <p>
                        Productos
                        <i class="right fas fa-angle-left"></i>
                    </p>
                </a>
                
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:producto_list' %}" class="{% active 'almacen:producto_list' %}  nav-link">
                            <p class="p-p">Productos</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:familia_list' %}" class="{% active 'almacen:familia_list' %} nav-link">
                            <p class="p-p">Familia del Producto</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:tipo_list' %}" class="{% active 'almacen:tipo_list' %} nav-link">
                            <p class="p-p">Tipo de Producto</p>
                        </a>
                    </li>
                </ul>
            </li>
            {% endif %}
            {% if user.is_staff or request.user.user_profile == 'operador' or request.user.user_profile == 'vendedor'%}  
            <li class="nav-item has-treeview {% if  request.get_full_path == '/almacen/venta/create/' or request.get_full_path == '/almacen/ventas/' or request.get_full_path == '/almacen/reporte/venta/' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if  request.get_full_path == '/almacen/venta/create/' or request.get_full_path == '/almacen/ventas/' or request.get_full_path == '/almacen/reporte/venta/' %}active{% endif %}">
                <i class="nav-icon fas fa-shopping-cart"></i>
                <p>
                    Ventas
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:venta_create' %}" class="{% active 'almacen:venta_create' %} nav-link">
                        <p class="p-p">Realizar Venta</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:venta_list' %}" class="{% active 'almacen:venta_list' %} nav-link">
                        <p class="p-p">Listado de Ventas</p>
                        </a>
                    </li>
                    {% if user.is_staff or request.user.user_profile == 'operador' %} 
                    <li class="nav-item">
                        <a href="{% url 'almacen:venta_reporte' %}" class="{% active 'almacen:venta_reporte' %} nav-link">
                        <p class="p-p">Consultar Ventas</p>
                        </a>
                    </li>
                    {% endif %}
                </ul>
                
            </li>
            {% endif %}
            {% if user.is_staff or request.user.user_profile == 'operador' %}     
            <li class="nav-item has-treeviewnav-item has-treeview {% if  request.get_full_path == '/almacen/clientes/' or request.get_full_path == '/almacen/credito/' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if  request.get_full_path == '/almacen/clientes/' or request.get_full_path == '/almacen/credito/' %}active{% endif %}">
                <i class="nav-icon fas fa-user-clock"></i>
                <p>
                    Clientes
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                <li class="nav-item">
                    <a href="{% url 'almacen:cliente_list' %}" class="{% active 'almacen:cliente_list' %} nav-link">
                    <p class="p-p">Clientes</p>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="{% url 'almacen:credito' %}" class="{% active 'almacen:credito' %} nav-link">
                    <p class="p-p">Ventas al Crédito</p>
                    </a>
                </li>
                </ul>
            </li>
            <li class="nav-item has-treeview {% if   request.get_full_path == '/almacen/proveedor/' or request.get_full_path == '/almacen/compras/' or request.get_full_path == '/almacen/compras/create/' or request.get_full_path == '/almacen/reporte/compra' %}menu-open{% endif %}">
                <a href="#" class="nav-link {% if    request.get_full_path == '/almacen/proveedor/' or request.get_full_path == '/almacen/compras/' or request.get_full_path == '/almacen/compras/create/' or request.get_full_path == '/almacen/reporte/compra' %}active{% endif %}">
                <i class="nav-icon fas fa-truck"></i>
                <p>
                    Compras
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:compra_list' %}" class="{% active 'almacen:compra_list' %} nav-link">
                        <p class="p-p">Listado de Compras</p>
                        </a>
                    </li>    
                    <li class="nav-item">
                        <a href="{% url 'almacen:compra_reporte' %}" class="{% active 'almacen:compra_reporte' %} nav-link">
                        <p class="p-p">Consultar Compras</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:proveedor_list' %}" class="{% active 'almacen:proveedor_list' %} nav-link">
                        <p class="p-p">Proveedores</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="{% url 'almacen:compra_create' %}" class="{% active 'almacen:compra_create' %} nav-link">
                        <p class="p-p">Realizar Compra</p>
                        </a>
                    </li>
                </ul>
            </li>
            <li class="nav-item has-treeview {% if  request.get_full_path == '/almacen/recepcion/' %}menu-open{% endif %}">
                <a href="pages/inventario.html" class="nav-link {% if request.get_full_path == '/almacen/recepcion/'%}active{% endif %}">
                <i class="nav-icon fas fa-th-list"></i>
                <p>
                    Recepción Pedido
                    <i class="right fas fa-angle-left"></i>
                </p>
                </a>
                <ul class="nav nav-treeview">
                    <li class="nav-item">
                        <a href="{% url 'almacen:recepcion' %}" class="{% active 'almacen:recepcion' %} nav-link">
                        <p class="p-p">Recepción de Productos</p>
                        </a>
                    </li>
                </ul>
            </li>
            <li class="nav-item has-treeview">
                <a href="{% url 'user:usuarios' %}" class="{% active 'user:usuarios' %} nav-link">
                <i class="nav-icon fas fa-user"></i>
                <p>
                    Usuarios
                </p>
                </a>
            </li>
            {% endif %}
            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>